export interface InspectState<T> {
    visible: boolean;
    item?: T;
    show(item: T): void;
    hide(): void;
}
export type AnyInspect = InspectState<any>;
export declare function useInspect<T = unknown>(id: string): InspectState<T>;
